Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QIcon.Mode

    java.lang.Object
      java.lang.Enum<QIcon.Mode>
          com.trolltech.qt.gui.QIcon.Mode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QIcon.Mode>

Enclosing class:
  QIcon

    public static enum QIcon.Mode

extends java.lang.Enum<QIcon.Mode>
implements QtEnumerator

This enum type describes the mode for which a pixmap is intended to be used. The currently defined modes are:

Constant | Value | Description
--- | --- | ---
`Normal` | `0` | Display the pixmap when the user is not interacting with the icon, but the functionality represented by the icon is available.
`Disabled` | `1` | Display the pixmap when the functionality represented by the icon is not available.
`Active` | `2` | Display the pixmap when the functionality represented by the icon is available and the user is interacting with the icon, for example, moving the mouse over it or clicking it.
`Selected` | `3` | Display the pixmap when the item represented by the icon is selected.

Enum Constant Summary
`Active` Display the pixmap when the functionality represented by the icon is available and the user is interacting with the icon, for example, moving the mouse over it or clicking it.
`Disabled` Display the pixmap when the functionality represented by the icon is not available.
`Normal` Display the pixmap when the user is not interacting with the icon, but the functionality represented by the icon is available.
`Selected` Display the pixmap when the item represented by the icon is selected.

Method Summary
`static QIcon.Mode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QIcon.Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QIcon.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Normal

    public static final QIcon.Mode Normal

  Display the pixmap when the user is not interacting with the icon, but the functionality represented by the icon is available.

### Disabled

    public static final QIcon.Mode Disabled

  Display the pixmap when the functionality represented by the icon is not available.

### Active

    public static final QIcon.Mode Active

  Display the pixmap when the functionality represented by the icon is available and the user is interacting with the icon, for example, moving the mouse over it or clicking it.

### Selected

    public static final QIcon.Mode Selected

  Display the pixmap when the item represented by the icon is selected.

Method Detail

### values

    public static final QIcon.Mode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QIcon.Mode c : QIcon.Mode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QIcon.Mode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QIcon.Mode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD